Subject: bug#13559: 24.3.50; mysterious, uncalled-for point movement when exit minibuffer

From: "Drew Adams" <[email-masked]>
Date: Sat, 26 Jan 2013 10:18:18 -0800

> > Sorry, but I cannot give a recipe to repro this yet.
> >  
> > Somehow, it is suddenly the case (with my setup, but only with
> > recent builds, perhaps just the latest I have, 2013-01-25 -
> > that's where I noticed it) that with even something as simple as
> > M-x forward-char or M-: (forward-char), and even if I use C-g to
> > cancel such (e.g., just M-x C-g), point gets moved to another
> > location.  I need not hit C-g - the same thing happens with
> > M-x forward-char RET.
> 
> Can you try reproducing this from "emacs -Q"?

No, I don't think so.  Not until I find out more about it.  If & when I do, I'll
let you know.

> I'm guessing that some redisplay change made lately goofed, but it's
> hard to look for it without a recipe.

With luck more people will run into it and we'll learn more.  Sooner or later we
will perhaps be able to repro it simply, from emacs -Q.

For now, the bug report is just a heads-up.  Perhaps it will help as is, ringing
a bell for someone who made recent changes.  So far, I've seen this in a build
from 1/25, but not yet in a build from 1/22.  (Doesn't mean I won't encounter it
with 1/22, just saying that's what I've seen so far.)